Ant Build Failed错误

J2EE 码拜 5年前 (2015-04-21) 393次浏览 0个评论
 

Buildfile: E:\workspace\abn\build.xml
version:
antcontrib.download-check:
antcontrib.download:
install-antcontrib:
ivy.download-check:
ivy.download:
install-ivy:
     [echo] Installing IVY…
resolve:
     [echo] symlink=${symlink}
[ivy:resolve] :: Ivy 2.1.0 – 20090925235825 :: http://ant.apache.org/ivy/ ::
[ivy:resolve] :: loading settings :: url = file:E:/workspace/abn/ivysettings.xml
[ivy:resolve] :: resolving dependencies :: pentaho#mondrian-workbench;TRUNK-SNAPSHOT
[ivy:resolve]  confs: [default]
[ivy:resolve]  found commons-codec#commons-codec;1.2 in pentaho-mvn
[ivy:resolve]  found commons-httpclient#commons-httpclient;3.0.1 in pentaho-mvn
[ivy:resolve]  found commons-logging#commons-logging;1.0.3 in pentaho-mvn
[ivy:resolve]  found commons-lang#commons-lang;2.3 in pentaho-mvn
[ivy:resolve]  found commons-io#commons-io;1.3.2 in pentaho-mvn
[ivy:resolve]  found jaxen#jaxen;1.1.1 in pentaho-mvn
[ivy:resolve]  found dom4j#dom4j;1.6.1 in pentaho-mvn
[ivy:resolve]  found msv#xsdlib;20030807 in pentaho-mvn
[ivy:resolve]  found msv#relaxngDatatype;20030807 in pentaho-mvn
[ivy:resolve]  found pull-parser#pull-parser;2 in pentaho-mvn
[ivy:resolve]  found xpp3#xpp3;1.1.3.3 in pentaho-mvn
[ivy:resolve]  found stax#stax-api;1.0 in pentaho-mvn
[ivy:resolve]  found xml-apis#xml-apis;1.3.02 in pentaho-mvn
[ivy:resolve]  found jdom#jdom;1.0 in pentaho-mvn
[ivy:resolve]  found xom#xom;1.0 in pentaho-mvn
[ivy:resolve]  found xerces#xmlParserAPIs;2.6.2 in pentaho-mvn
[ivy:resolve]  found xalan#xalan;2.6.0 in pentaho-mvn
[ivy:resolve]  found junit#junit;4.0 in pentaho-mvn
[ivy:resolve]  found pentaho#pentaho-mondrianschemaworkbench-plugins;1.0.49156 in pentaho-mvn
[ivy:resolve]  found pentaho#pentaho-xul-core;3.3.5 in pentaho-ivy
[ivy:resolve]  found commons-beanutils#commons-beanutils;1.6 in pentaho-mvn
[ivy:resolve]  found commons-collections#commons-collections;3.2 in pentaho-mvn
[ivy:resolve]  found commons-logging#commons-logging;1.0.4 in pentaho-mvn
[ivy:resolve]  found org.codehaus.groovy#groovy-all;1.5.6 in pentaho-mvn
[ivy:resolve]  found pentaho#pentaho-xul-swing;3.3.5 in pentaho-ivy
[ivy:resolve]  found pentaho-kettle#kettle-core;4.4.0-GA in pentaho-ivy
[ivy:resolve]  found xerces#xercesImpl;2.9.1 in pentaho-mvn
[ivy:resolve]  found xml-apis#xml-apis;1.3.04 in pentaho-mvn
[ivy:resolve]  found pentaho-kettle#kettle-db;4.4.0-GA in pentaho-ivy
[ivy:resolve]  found xml-resolver#xml-resolver;1.2 in pentaho-mvn
[ivy:resolve]  found pentaho-kettle#kettle-engine;4.4.0-GA in pentaho-ivy
[ivy:resolve]  found pentaho-kettle#kettle-dbdialog;4.4.0-GA in pentaho-ivy
[ivy:resolve]  found pentaho#pentaho-xul-swt;3.3.5 in pentaho-ivy
[ivy:resolve]  found org.eclipse#jface;3.3.0-I20070606-0010 in pentaho-mvn
[ivy:resolve]  found org.eclipse.core#commands;3.3.0-I20070605-0010 in pentaho-mvn
[ivy:resolve]  found org.eclipse.core#runtime;3.3.100-v20070530 in pentaho-mvn
[ivy:resolve]  found org.eclipse.equinox#common;3.3.0-v20070426 in pentaho-mvn
[ivy:resolve]  found log4j#log4j;1.2.8 in pentaho-mvn
[ivy:resolve]  found commons-pool#commons-pool;1.3 in pentaho-mvn
[ivy:resolve]  found commons-dbcp#commons-dbcp;1.2.1 in pentaho-mvn
[ivy:resolve]  found commons-beanutils#commons-beanutils;1.8.0-BETA in pentaho-mvn
[ivy:resolve]  found commons-logging#commons-logging-api;1.1 in pentaho-mvn
[ivy:resolve]  found commons-vfs#commons-vfs;1.0 in pentaho-mvn
[ivy:resolve]  found org.eclipse.swt.win32.win32#x86;3.3.0-v3346 in pentaho-mvn
[ivy:resolve]  found pentaho#pentaho-application-launcher;1.0.2 in pentaho-ivy
[ivy:resolve] :: resolution report :: resolve 970726ms :: artifacts dl 150ms
[ivy:resolve]  :: evicted modules:
[ivy:resolve]  junit#junit;3.8.1 by [junit#junit;4.0] in [default]
[ivy:resolve]  commons-logging#commons-logging;1.0.3 by [commons-logging#commons-logging;1.0.4] in [default]
[ivy:resolve]  xml-apis#xml-apis;1.0.b2 by [xml-apis#xml-apis;1.3.02] in [default]
[ivy:resolve]  jaxen#jaxen;1.1-beta-6 by [jaxen#jaxen;1.1.1] in [default]
[ivy:resolve]  xml-apis#xml-apis;1.3.02 by [xml-apis#xml-apis;1.3.04] in [default]
[ivy:resolve]  xerces#xercesImpl;2.6.2 by [xerces#xercesImpl;2.9.1] in [default]
[ivy:resolve]  xml-apis#xml-apis;2.0.2 by [xml-apis#xml-apis;1.3.02] in [default]
[ivy:resolve]  commons-beanutils#commons-beanutils;1.6 by [commons-beanutils#commons-beanutils;1.8.0-BETA] in [default]
[ivy:resolve]  commons-lang#commons-lang;2.2 by [commons-lang#commons-lang;2.3] in [default]
[ivy:resolve]  jaxen#jaxen;1.1 by [jaxen#jaxen;1.1.1] in [default]
———————————————————————
|                  |            modules            ||   artifacts   |
|       conf       | number| search|dwnlded|evicted|| number|dwnlded|
———————————————————————
|      default     |   53  |   7   |   0   |   10  ||   54  |   0   |
———————————————————————
[ivy:resolve] :: problems summary ::
[ivy:resolve] :::: WARNINGS
[ivy:resolve]  module not found: com.ibm.icu#icu4j;2.6.1
[ivy:resolve]  ==== local: tried
[ivy:resolve]    C:\Users\Administrator\.ivy2/local/com.ibm.icu/icu4j/2.6.1/ivys/ivy.xml
[ivy:resolve]    — artifact com.ibm.icu#icu4j;2.6.1!icu4j.jar:
[ivy:resolve]    C:\Users\Administrator\.ivy2/local/com.ibm.icu/icu4j/2.6.1/jars/icu4j-2.6.1.jar
[ivy:resolve]  ==== pentaho-ivy: tried
[ivy:resolve]    http://repo.pentaho.org/artifactory/repo/com.ibm.icu/icu4j/2.6.1/icu4j-2.6.1.ivy.xml
[ivy:resolve]  ==== pentaho-mvn: tried
[ivy:resolve]    http://repo.pentaho.org/artifactory/repo/com/ibm/icu/icu4j/2.6.1/icu4j-2.6.1.pom
[ivy:resolve]  ==== public: tried
[ivy:resolve]    http://repo1.maven.org/maven2/com/ibm/icu/icu4j/2.6.1/icu4j-2.6.1.pom
[ivy:resolve]  ==== java-net-maven2: tried
[ivy:resolve]    http://download.java.net/maven/2/com/ibm/icu/icu4j/2.6.1/icu4j-2.6.1.pom
[ivy:resolve]    — artifact com.ibm.icu#icu4j;2.6.1!icu4j.jar:
[ivy:resolve]    http://download.java.net/maven/2/com/ibm/icu/icu4j/2.6.1/icu4j-2.6.1.jar
[ivy:resolve]  ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:resolve]  ::          UNRESOLVED DEPENDENCIES         ::
[ivy:resolve]  ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:resolve]  :: com.ibm.icu#icu4j;2.6.1: not found
[ivy:resolve]  ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:resolve] 
[ivy:resolve] :::: ERRORS
[ivy:resolve]  impossible to acquire lock for com.ibm.icu#icu4j;2.6.1
[ivy:resolve]  impossible to acquire lock for com.ibm.icu#icu4j;2.6.1
[ivy:resolve]  impossible to acquire lock for com.ibm.icu#icu4j;2.6.1
[ivy:resolve]  impossible to acquire lock for com.ibm.icu#icu4j;2.6.1
[ivy:resolve]  impossible to acquire lock for com.ibm.icu#icu4j;2.6.1
[ivy:resolve]  impossible to acquire lock for com.ibm.icu#icu4j;2.6.1
[ivy:resolve]  impossible to acquire lock for com.ibm.icu#icu4j;2.6.1
[ivy:resolve]  impossible to acquire lock for com.ibm.icu#icu4j;2.6.1
[ivy:resolve] 
[ivy:resolve] :: USE VERBOSE OR DEBUG MESSAGE LEVEL FOR MORE DETAILS

BUILD FAILED
E:\workspace\abn\build.xml:404: impossible to resolve dependencies:
resolve failed – see output for details

Total time: 16 minutes 11 seconds
经验证,http://repo.pentaho.org/artifactory/repo/com.ibm.icu/icu4j/2.6.1/icu4j-2.6.1.ivy.xml 这个地址报404错误,请问修改哪里可以改变这个XML的地址?或者我直接导入自己的icu4j.jar包就OK

Ant Build Failed错误
100分
就这么几个字未免有点太抽象了。。。
至少来个工程图看一看啊
Ant Build Failed错误
引用 1 楼 AA5279AA 的回复:

就这么几个字未免有点太抽象了。。。
至少来个工程图看一看啊

以下是ivy.xml
<?xml version=”1.0″ encoding=”UTF-8″?>
<?xml-stylesheet type=”text/xsl” href=”http://ivyrep.jayasoft.org/ivy-doc.xsl”?>
<!–
  == This software is subject to the terms of the Eclipse Public License v1.0
  == Agreement, available at the following URL:
  == http://www.eclipse.org/legal/epl-v10.html.
  == You must accept the terms of that agreement to use this software.
  ==
  == Copyright (C) 2008-2010 Pentaho
  == All Rights Reserved.
  –>
<ivy-module
    version=”2.0″
    xmlns:xsi=”http://www.w3.org/2001/XMLSchema-instance”
    xmlns:m=”http://ant.apache.org/ivy/maven”
    xsi:noNamespaceSchemaLocation=”http://ant.apache.org/ivy/schemas/ivy.xsd”>

    <info organisation=”pentaho” module=”mondrian” revision=”3.5.0″>
        <license name=”EPL” url=”http://www.eclipse.org/legal/epl-v10.html”/>
        <ivyauthor name=”Julian Hyde” />
        <repository name=”pentaho-repository” url=”http://repo.pentaho.org/artifactory”/>
        <description homepage=”http://mondrian.pentaho.com”>
            Mondrian is an OLAP (online analytical processing) engine written
            in Java. It reads from JDBC data sources, aggregates data in a
            memory cache, and implements the MDX language and the olap4j and
            XML/A APIs.
        </description>
    </info>

    <configurations>
        <conf name=”codegen”/>
      <conf name=”default”/>
        <conf name=”default-jdk1.4″/>
        <conf name=”sources”/>
        <conf name=”dist”/>
        <conf name=”test” visibility=”private”/>
    </configurations>

    <dependencies defaultconf=”default->default”>
        <dependency org=”commons-collections” name=”commons-collections”
                rev=”3.2″/>
        <dependency org=”commons-dbcp” name=”commons-dbcp” rev=”1.2.1″/>
        <dependency org=”commons-lang” name=”commons-lang” rev=”2.4″/>
        <dependency org=”commons-io” name=”commons-io” rev=”1.4″/>
        <dependency org=”commons-logging” name=”commons-logging” rev=”1.1.1″/>
        <dependency org=”commons-math” name=”commons-math” rev=”1.1″/>
        <dependency org=”commons-pool” name=”commons-pool” rev=”1.2″/>
        <!– version in commons-vfs.jar is 1.1-SNAPSHOT –>
        <dependency org=”commons-vfs” name=”commons-vfs” rev=”1.0″/>
        <dependency org=”javacup” name=”javacup” rev=”10k”/>
        <dependency org=”net.java.dev.javacc” name=”javacc” rev=”5.0″/>
        <dependency org=”dom4j” name=”dom4j” rev=”1.6.1″/>
        <dependency org=”javax.validation” name=”validation-api” rev=”1.0.0.GA”/>
        <dependency org=”eigenbase” name=”eigenbase-xom” rev=”1.3.1″/>
        <dependency org=”eigenbase” name=”eigenbase-properties” rev=”1.1.2″/>
        <dependency org=”eigenbase” name=”eigenbase-resgen” rev=”1.3.1″/>
        <dependency org=”sun” name=”jlfgr” rev=”1.0″/>
        <dependency org=”javax.servlet” name=”jsp-api” rev=”2.0″/>
        <dependency org=”javax.servlet” name=”servlet-api” rev=”2.4″/>
        <dependency org=”log4j” name=”log4j” rev=”1.2.14″/>
        <dependency org=”org.olap4j” name=”olap4j” rev=”${dependency.olap4j-core.revision}”>
            <artifact name=”olap4j”/>
        </dependency>
        <dependency org=”org.olap4j” name=”olap4j” rev=”${dependency.olap4j-core.revision}”
                conf=”sources->default”>
            <artifact name=”olap4j” type=”source” ext=”jar”
                    m:classifier=”sources”/>
        </dependency>
        <dependency org=”org.olap4j” name=”olap4j-tck” rev=”${dependency.olap4j-tck.revision}”
                conf=”test->default” changing=”true”>
            <artifact name=”olap4j-tck”/>
        </dependency>
        <dependency org=”org.olap4j” name=”olap4j-xmla” rev=”${dependency.olap4j-xmla.revision}”
                conf=”test->default” changing=”true”>
            <artifact name=”olap4j-xmla”/>
        </dependency>

        <!– REVIEW: try xalan 2.6.0? –>
        <dependency org=”xalan” name=”xalan” rev=”2.4.1″/>
        <dependency org=”xerces” name=”xercesImpl” rev=”2.5.0″/>

        <!– JDK 1.4 backwards compatibility jars –>
        <dependency org=”backport-util-concurrent” 
                name=”backport-util-concurrent” rev=”3.1″
                conf=”default-jdk1.4->default”/>
        <dependency org=”asm” name=”asm” rev=”3.1″
                conf=”default-jdk1.4->default”/>
        <dependency org=”asm” name=”asm-commons” rev=”3.1″
                conf=”default-jdk1.4->default”/>
        <dependency org=”asm” name=”asm-util” rev=”3.1″
                conf=”default-jdk1.4->default”/>
        <dependency org=”retroweaver” name=”retroweaver” rev=”2.0.7″
                conf=”default-jdk1.4->default”/>
        <dependency org=”retroweaver” name=”retroweaver-rt” rev=”2.0.7″
                conf=”default-jdk1.4->default”/>

        <!– Distribution Jar and Wars –>
        <dependency org=”org.apache.derby” name=”derby” rev=”10.2.2.0″ conf=”dist->default”/>
        <dependency org=”hsqldb” name=”hsqldb” rev=”1.8.0″ conf=”dist->default”/>

        <!– Note that this is a build of jpivot””s CVS trunk on 12-22-2008. –>
        <dependency org=”com.tonbeller” name=”jpivot” rev=”1.8.0-100420″ conf=”dist->default”>
            <artifact name=”jpivot” type=”war”/>
        </dependency>

        <!– Test Jars –>
        <dependency org=”junit” name=”junit” rev=”3.8.1″ conf=”test->default”/>
        <dependency org=”xmlunit” name=”xmlunit” rev=”1.1″ conf=”test->default”/>

        <!– Exclusions –>
        <exclude org=”avalon-framework” module=”avalon-framework”/>
        <exclude org=”commons-discovery” module=”commons-discovery”/>
        <exclude org=”commons-net” module=”commons-net”/>
        <exclude org=”oro” module=”oro”/>
        <exclude org=”commons-httpclient” module=”commons-httpclient”/>
        <exclude org=”jaxme” module=”jaxme-api”/>
        <exclude org=”jdom” module=”jdom”/>
        <exclude org=”xom” module=”xom”/>
        <exclude org=”com.ibm.icu” module=”icu4j”/>
        <exclude org=”com.jcraft” module=”jsch”/>
        <exclude org=”jaxen” module=”jaxen”/>
        <exclude org=”org.ccil.cowan.tagcoup” module=”tagsoup”/>
        <exclude org=”javax.sql” module=”jdbc-stdext”/>
        <exclude org=”xml-apis” module=”xml-apis”/>
    </dependencies>
</ivy-module>

Ant Build Failed错误
引用 1 楼 AA5279AA 的回复:

就这么几个字未免有点太抽象了。。。
至少来个工程图看一看啊

http://sourceforge.net/projects/mondrian/files/mondrian/mondrian-3.5.0/
这个地址可以下载到此项目的源代码,用Ant导入这个最直接了吧…

Ant Build Failed错误
确实是地址不对,我build的时候把这个dependence屏蔽掉了就OK了。
问题已解决
Ant Build Failed错误
请问楼主怎么解决的?我也遇到类似的问题了
Ant Build Failed错误
ivy-configure:
[ivy:configure] :: loading settings :: file = E:\solr-4.9.0\lucene\ivy-settings.xml

resolve:
[ivy:retrieve]
[ivy:retrieve] :: problems summary ::
[ivy:retrieve] :::: WARNINGS
[ivy:retrieve]          module not found: javax.servlet#servlet-api;2.4
[ivy:retrieve]  ==== local: tried
[ivy:retrieve]    C:\Users\huohuimin\.ivy2\local\javax.servlet\servlet-api\2.4\ivys\ivy.xm
l
[ivy:retrieve]    — artifact javax.servlet#servlet-api;2.4!servlet-api.jar:
[ivy:retrieve]    C:\Users\huohuimin\.ivy2\local\javax.servlet\servlet-api\2.4\jars\servle
t-api.jar
[ivy:retrieve]  ==== shared: tried
[ivy:retrieve]    C:\Users\huohuimin\.ivy2\shared\javax.servlet\servlet-api\2.4\ivys\ivy.x
ml
[ivy:retrieve]    — artifact javax.servlet#servlet-api;2.4!servlet-api.jar:
[ivy:retrieve]    C:\Users\huohuimin\.ivy2\shared\javax.servlet\servlet-api\2.4\jars\servl
et-api.jar
[ivy:retrieve]  ==== public: tried
[ivy:retrieve]    http://repo1.maven.org/maven2/javax/servlet/servlet-api/2.4/servlet-api-
2.4.pom
[ivy:retrieve]  ==== cloudera: tried
[ivy:retrieve]    http://repository.cloudera.com/artifactory/repo/javax/servlet/servlet-ap
i/2.4/servlet-api-2.4.pom
[ivy:retrieve]  ==== releases.cloudera.com: tried
[ivy:retrieve]    http://repository.cloudera.com/content/repositories/releases/javax/servl
et/servlet-api/2.4/servlet-api-2.4.pom
[ivy:retrieve]    — artifact javax.servlet#servlet-api;2.4!servlet-api.jar:
[ivy:retrieve]    http://repository.cloudera.com/content/repositories/releases/javax/servl
et/servlet-api/2.4/servlet-api-2.4.jar
[ivy:retrieve]  ==== sonatype-releases: tried
[ivy:retrieve]    http://oss.sonatype.org/content/repositories/releases/javax/servlet/serv
let-api/2.4/servlet-api-2.4.pom
[ivy:retrieve]    — artifact javax.servlet#servlet-api;2.4!servlet-api.jar:
[ivy:retrieve]    http://oss.sonatype.org/content/repositories/releases/javax/servlet/serv
let-api/2.4/servlet-api-2.4.jar
[ivy:retrieve]  ==== maven.restlet.org: tried
[ivy:retrieve]    http://maven.restlet.org/javax/servlet/servlet-api/2.4/servlet-api-2.4.p
om
[ivy:retrieve]    — artifact javax.servlet#servlet-api;2.4!servlet-api.jar:
[ivy:retrieve]    http://maven.restlet.org/javax/servlet/servlet-api/2.4/servlet-api-2.4.j
ar
[ivy:retrieve]  ==== svnkit-releases: tried
[ivy:retrieve]    http://maven.tmatesoft.com/content/repositories/releases/javax/servlet/s
ervlet-api/2.4/servlet-api-2.4.pom
[ivy:retrieve]    — artifact javax.servlet#servlet-api;2.4!servlet-api.jar:
[ivy:retrieve]    http://maven.tmatesoft.com/content/repositories/releases/javax/servlet/s
ervlet-api/2.4/servlet-api-2.4.jar
[ivy:retrieve]  ==== working-chinese-mirror: tried
[ivy:retrieve]    http://uk.maven.org/maven2/javax/servlet/servlet-api/2.4/servlet-api-2.4
.pom
[ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:retrieve]          ::          UNRESOLVED DEPENDENCIES         ::
[ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:retrieve]          :: javax.servlet#servlet-api;2.4: not found
[ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
[ivy:retrieve]
[ivy:retrieve] :::: ERRORS
[ivy:retrieve]  impossible to acquire lock for javax.servlet#servlet-api;2.4
[ivy:retrieve]  impossible to acquire lock for javax.servlet#servlet-api;2.4
[ivy:retrieve]  impossible to acquire lock for javax.servlet#servlet-api;2.4
[ivy:retrieve]  impossible to acquire lock for javax.servlet#servlet-api;2.4
[ivy:retrieve]  impossible to acquire lock for javax.servlet#servlet-api;2.4
[ivy:retrieve]  impossible to acquire lock for javax.servlet#servlet-api;2.4
[ivy:retrieve]  impossible to acquire lock for javax.servlet#servlet-api;2.4
[ivy:retrieve]  impossible to acquire lock for javax.servlet#servlet-api;2.4
[ivy:retrieve]  impossible to acquire lock for javax.servlet#servlet-api;2.4
[ivy:retrieve]  impossible to acquire lock for javax.servlet#servlet-api;2.4
[ivy:retrieve]  impossible to acquire lock for javax.servlet#servlet-api;2.4
[ivy:retrieve]  impossible to acquire lock for javax.servlet#servlet-api;2.4
[ivy:retrieve]  impossible to acquire lock for javax.servlet#servlet-api;2.4
[ivy:retrieve]
[ivy:retrieve] :: USE VERBOSE OR DEBUG MESSAGE LEVEL FOR MORE DETAILS

BUILD FAILED
E:\solr-4.9.0\build.xml:112: The following error occurred while executing this line:
E:\solr-4.9.0\lucene\build.xml:200: The following error occurred while executing this line
:
E:\solr-4.9.0\lucene\common-build.xml:2017: The following error occurred while executing t
his line:
E:\solr-4.9.0\lucene\common-build.xml:388: impossible to resolve dependencies:
        resolve failed – see output for details

我的是这个 http://repo1.maven.org/maven2/javax/servlet/servlet-api/2.4/servlet-api-
2.4.pom找不到,报404错误


CodeBye 版权所有丨如未注明 , 均为原创丨本网站采用BY-NC-SA协议进行授权 , 转载请注明Ant Build Failed错误
喜欢 (0)
[1034331897@qq.com]
分享 (0)

文章评论已关闭!